package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.orgo.ai/api/workflows/{id}"
payload := strings.NewReader("{\n \"lines\": \"{\\\"id\\\":\\\"a\\\",\\\"kind\\\":\\\"start\\\",\\\"title\\\":\\\"9:00 AM\\\",\\\"sub\\\":\\\"Weekdays\\\",\\\"name\\\":\\\"Morning report\\\"}\\n{\\\"id\\\":\\\"b\\\",\\\"after\\\":[\\\"a\\\"],\\\"kind\\\":\\\"agent\\\",\\\"agent\\\":\\\"hermes\\\",\\\"title\\\":\\\"Write the report\\\",\\\"task\\\":\\\"Write a short report on yesterday’s new customers.\\\"}\\n{\\\"id\\\":\\\"c\\\",\\\"after\\\":[\\\"b\\\"],\\\"kind\\\":\\\"app\\\",\\\"app\\\":\\\"slack\\\",\\\"title\\\":\\\"Post\\\",\\\"where\\\":\\\"{channel}\\\",\\\"message\\\":\\\"{report}\\\"}\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://www.orgo.ai/api/workflows/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lines\": \"{\\\"id\\\":\\\"a\\\",\\\"kind\\\":\\\"start\\\",\\\"title\\\":\\\"9:00 AM\\\",\\\"sub\\\":\\\"Weekdays\\\",\\\"name\\\":\\\"Morning report\\\"}\\n{\\\"id\\\":\\\"b\\\",\\\"after\\\":[\\\"a\\\"],\\\"kind\\\":\\\"agent\\\",\\\"agent\\\":\\\"hermes\\\",\\\"title\\\":\\\"Write the report\\\",\\\"task\\\":\\\"Write a short report on yesterday’s new customers.\\\"}\\n{\\\"id\\\":\\\"c\\\",\\\"after\\\":[\\\"b\\\"],\\\"kind\\\":\\\"app\\\",\\\"app\\\":\\\"slack\\\",\\\"title\\\":\\\"Post\\\",\\\"where\\\":\\\"{channel}\\\",\\\"message\\\":\\\"{report}\\\"}\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://www.orgo.ai/api/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lines\": \"{\\\"id\\\":\\\"a\\\",\\\"kind\\\":\\\"start\\\",\\\"title\\\":\\\"9:00 AM\\\",\\\"sub\\\":\\\"Weekdays\\\",\\\"name\\\":\\\"Morning report\\\"}\\n{\\\"id\\\":\\\"b\\\",\\\"after\\\":[\\\"a\\\"],\\\"kind\\\":\\\"agent\\\",\\\"agent\\\":\\\"hermes\\\",\\\"title\\\":\\\"Write the report\\\",\\\"task\\\":\\\"Write a short report on yesterday’s new customers.\\\"}\\n{\\\"id\\\":\\\"c\\\",\\\"after\\\":[\\\"b\\\"],\\\"kind\\\":\\\"app\\\",\\\"app\\\":\\\"slack\\\",\\\"title\\\":\\\"Post\\\",\\\"where\\\":\\\"{channel}\\\",\\\"message\\\":\\\"{report}\\\"}\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "morning-report", "name": "Morning report", "on": false, "version": 3, "lines": "{\"id\":\"a\",\"kind\":\"start\",\"title\":\"9:00 AM\",\"sub\":\"Weekdays\",\"name\":\"Morning report\"}\n{\"id\":\"b\",\"after\":[\"a\"],\"kind\":\"agent\",\"agent\":\"hermes\",\"title\":\"Write the report\",\"task\":\"Write a short report on yesterday’s new customers.\"}\n{\"id\":\"c\",\"after\":[\"b\"],\"kind\":\"app\",\"app\":\"slack\",\"title\":\"Post\",\"where\":\"{channel}\",\"message\":\"{report}\"}", "settings": {}, "to_fix": [ "Fill in channel" ], "problems": [ { "step": "a", "say": "Fill in channel" } ]}
{
"error": "Too many API requests this minute (120 a minute on your plan). Try again in 12 seconds.",
"code": "rate_limited",
"limit": "api_other_per_minute",
"retry_after": 12
}
{
"error": "Service temporarily unavailable. The database is not accepting requests. Retry shortly."
}
Replaces a workflow’s steps with the lines you send. Read the workflow with Get a workflow, change its lines, and send them back with If-Match set to the version you read. A change made since then is never written over: the answer is 409 with the newest version and lines, so you can merge your change into them and send it again.A PUT to an id no workflow has makes a new one. A workflow that is on and can no longer run after the change is turned off, and the answer says turned_off: true. A write that changes nothing writes nothing, and the version stays.
The workflow as kept, in the same shape Get a workflow answers, with the new version in version and the ETag header. lines are the lines as the canvas reads them, and the next GET hands back exactly those. Two more fields appear only when they apply:
{ "error": "The workflow changed since you read it. Merge your change into these lines and send it again.", "code": "version_conflict", "version": 5, "lines": "<the newest lines>", "next": "Read it again (GET /api/workflows/morning-report), make your change on its lines, and PUT them with If-Match: <its version>."}
When the workflow was deleted since you read it, version and lines are null: send it again without If-Match to make it again.
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.orgo.ai/api/workflows/{id}"
payload := strings.NewReader("{\n \"lines\": \"{\\\"id\\\":\\\"a\\\",\\\"kind\\\":\\\"start\\\",\\\"title\\\":\\\"9:00 AM\\\",\\\"sub\\\":\\\"Weekdays\\\",\\\"name\\\":\\\"Morning report\\\"}\\n{\\\"id\\\":\\\"b\\\",\\\"after\\\":[\\\"a\\\"],\\\"kind\\\":\\\"agent\\\",\\\"agent\\\":\\\"hermes\\\",\\\"title\\\":\\\"Write the report\\\",\\\"task\\\":\\\"Write a short report on yesterday’s new customers.\\\"}\\n{\\\"id\\\":\\\"c\\\",\\\"after\\\":[\\\"b\\\"],\\\"kind\\\":\\\"app\\\",\\\"app\\\":\\\"slack\\\",\\\"title\\\":\\\"Post\\\",\\\"where\\\":\\\"{channel}\\\",\\\"message\\\":\\\"{report}\\\"}\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://www.orgo.ai/api/workflows/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lines\": \"{\\\"id\\\":\\\"a\\\",\\\"kind\\\":\\\"start\\\",\\\"title\\\":\\\"9:00 AM\\\",\\\"sub\\\":\\\"Weekdays\\\",\\\"name\\\":\\\"Morning report\\\"}\\n{\\\"id\\\":\\\"b\\\",\\\"after\\\":[\\\"a\\\"],\\\"kind\\\":\\\"agent\\\",\\\"agent\\\":\\\"hermes\\\",\\\"title\\\":\\\"Write the report\\\",\\\"task\\\":\\\"Write a short report on yesterday’s new customers.\\\"}\\n{\\\"id\\\":\\\"c\\\",\\\"after\\\":[\\\"b\\\"],\\\"kind\\\":\\\"app\\\",\\\"app\\\":\\\"slack\\\",\\\"title\\\":\\\"Post\\\",\\\"where\\\":\\\"{channel}\\\",\\\"message\\\":\\\"{report}\\\"}\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://www.orgo.ai/api/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lines\": \"{\\\"id\\\":\\\"a\\\",\\\"kind\\\":\\\"start\\\",\\\"title\\\":\\\"9:00 AM\\\",\\\"sub\\\":\\\"Weekdays\\\",\\\"name\\\":\\\"Morning report\\\"}\\n{\\\"id\\\":\\\"b\\\",\\\"after\\\":[\\\"a\\\"],\\\"kind\\\":\\\"agent\\\",\\\"agent\\\":\\\"hermes\\\",\\\"title\\\":\\\"Write the report\\\",\\\"task\\\":\\\"Write a short report on yesterday’s new customers.\\\"}\\n{\\\"id\\\":\\\"c\\\",\\\"after\\\":[\\\"b\\\"],\\\"kind\\\":\\\"app\\\",\\\"app\\\":\\\"slack\\\",\\\"title\\\":\\\"Post\\\",\\\"where\\\":\\\"{channel}\\\",\\\"message\\\":\\\"{report}\\\"}\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "morning-report", "name": "Morning report", "on": false, "version": 3, "lines": "{\"id\":\"a\",\"kind\":\"start\",\"title\":\"9:00 AM\",\"sub\":\"Weekdays\",\"name\":\"Morning report\"}\n{\"id\":\"b\",\"after\":[\"a\"],\"kind\":\"agent\",\"agent\":\"hermes\",\"title\":\"Write the report\",\"task\":\"Write a short report on yesterday’s new customers.\"}\n{\"id\":\"c\",\"after\":[\"b\"],\"kind\":\"app\",\"app\":\"slack\",\"title\":\"Post\",\"where\":\"{channel}\",\"message\":\"{report}\"}", "settings": {}, "to_fix": [ "Fill in channel" ], "problems": [ { "step": "a", "say": "Fill in channel" } ]}
{
"error": "Too many API requests this minute (120 a minute on your plan). Try again in 12 seconds.",
"code": "rate_limited",
"limit": "api_other_per_minute",
"retry_after": 12
}
{
"error": "Service temporarily unavailable. The database is not accepting requests. Retry shortly."
}
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Orgo","description":"Launch cloud computers that AI agents can control and interact with.","colors":{"primary":"#000000","light":"#FAF7F2","dark":"#141414"},"logo":{"light":"https://mintcdn.com/orgo/i0HN53mFBmljZF6E/logo/light.svg?fit=max\u0026auto=format\u0026n=i0HN53mFBmljZF6E\u0026q=85\u0026s=6927059bac59f8c8c83e70fb407944c6","dark":"https://mintcdn.com/orgo/i0HN53mFBmljZF6E/logo/dark.svg?fit=max\u0026auto=format\u0026n=i0HN53mFBmljZF6E\u0026q=85\u0026s=33f05e5c249d5cdcc572bd289842327e"},"favicon":"https://mintcdn.com/orgo/4ygSx2i3hLBIVLwQ/favicon.svg?fit=max\u0026auto=format\u0026n=4ygSx2i3hLBIVLwQ\u0026q=85\u0026s=62d6cb6ade8b42253d67d0074ad1427f","api":{"playground":{}},"appearance":{"default":"system"},"navbar":{"links":[{"href":"https://docs.orgo.ai/llms.txt","label":"llms.txt"},{"href":"https://docs.orgo.ai/llms-full.txt","label":"llms-full.txt"},{"href":"mailto:contact@orgo.ai","label":"Help"}],"primary":{"type":"button","label":"Get an API Key","href":"https://www.orgo.ai/api-keys"}},"footer":{"socials":{"github":"https://github.com/spencerkinney","x":"https://twitter.com/orgo","discord":"https://discord.gg/tbYGpvnnJD"}},"seo":{"metatags":{"og:title":"Orgo - Cloud computers for AI agents","og:description":"Launch cloud computers that AI agents can control and interact with. Drive them with any model provider, install agents inside them, or run developer CLIs on them 24/7.","og:image":"https://mintlify.s3.us-west-1.amazonaws.com/orgo/images/hero-dark.png","og:image:width":"1200","og:image:height":"630","og:url":"https://docs.orgo.ai","og:type":"website","og:site_name":"Orgo Documentation","twitter:card":"summary_large_image","twitter:title":"Orgo - Cloud computers for AI agents","twitter:description":"Launch cloud computers that AI agents can control and interact with.","twitter:image":"https://mintlify.s3.us-west-1.amazonaws.com/orgo/images/hero-dark.png"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Developer Console","icon":"terminal","href":"https://www.orgo.ai/start"},{"anchor":"Blog","icon":"newspaper","href":"https://www.orgo.ai/blog"},{"anchor":"Discord","icon":"discord","href":"https://discord.gg/tbYGpvnnJD"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"orgo","hasAudioNarration":false,"actualSubdomain":"orgo","customDomains":["docs.orgo.ai"],"gitSource":{"type":"github","owner":"orgoai","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb4013a60f76c944533b19","collectionId":"561d0bad-aa73-4e50-8854-a128f5f55bd8","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb4013a60f76c944533b19"},"entitlements":{},"buildId":"6aed9b4dad97e8452b1fa27e","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":109},{"language":"default","tag":"Guides","count":57},{"language":"default","tag":"Computers","count":18},{"language":"default","tag":"Templates","count":18},{"language":"default","tag":"Clients","count":15},{"language":"default","tag":"Computer Actions","count":13},{"language":"default","tag":"Workflows","count":13},{"language":"default","tag":"Get Started","count":9},{"language":"default","tag":"Computer Lifecycle","count":7},{"language":"default","tag":"Files","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/workflows/replace","slug":"/api-reference/workflows/replace","pageMetadata":{"title":"Replace a workflow’s steps","description":"Write a workflow’s whole lines, only over the version you read. Every open canvas shows the change at once.","openapi":"PUT /workflows/{id}","href":"/api-reference/workflows/replace"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Write a workflow’s whole lines, only over the version you read. Every open canvas shows the change at once.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,ParamField,ResponseField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Replaces a workflow’s steps with the lines you send. Read the workflow with `,_jsx(_components.a,{href:`/api-reference/workflows/get`,children:`Get a workflow`}),`, change its `,_jsx(_components.code,{children:`lines`}),`, and send them back with `,_jsx(_components.code,{children:`If-Match`}),` set to the version you read. A change made since then is never written over: the answer is `,_jsx(_components.code,{children:`409`}),` with the newest version and lines, so you can merge your change into them and send it again.`]}),`\n`,_jsxs(_components.p,{children:[`A `,_jsx(_components.code,{children:`PUT`}),` to an id no workflow has makes a new one. A workflow that is on and can no longer run after the change is turned off, and the answer says `,_jsx(_components.code,{children:`turned_off: true`}),`. A write that changes nothing writes nothing, and the version stays.`]}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path parameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`The workflow’s id, like `,_jsx(_components.code,{children:`morning-report`}),`: lowercase letters, digits and `,_jsx(_components.code,{children:`-`}),`, at most 60.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`If-Match`,type:`string`,id:`param-if-match`,children:_jsxs(_components.p,{children:[`The version you read, as `,_jsx(_components.a,{href:`/api-reference/workflows/get`,children:`Get a workflow`}),` gave it in `,_jsx(_components.code,{children:`version`}),` or the `,_jsx(_components.code,{children:`ETag`}),` header. Without it, the write is made over whatever is there now.`]})}),`\n`,_jsx(ParamField,{header:`X-Agent`,type:`string`,id:`param-x-agent`,children:_jsxs(_components.p,{children:[`Who is writing, at most 30 characters, like `,_jsx(_components.code,{children:`Claude Code`}),`. The canvas names you on the change.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request body`}),`\n`,_jsx(ParamField,{body:`lines`,type:`string`,required:true,id:`param-lines`,children:_jsxs(_components.p,{children:[`The whole workflow, one JSON object per step, the start first. The format is at `,_jsx(_components.a,{href:`https://www.orgo.ai/workflows.md`,children:`orgo.ai/workflows.md`}),`.`]})}),`\n`,_jsx(ParamField,{body:`time_zone`,type:`string`,id:`param-time-zone`,children:_jsxs(_components.p,{children:[`An IANA zone its times are read in, like `,_jsx(_components.code,{children:`America/New_York`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(_components.p,{children:[`The workflow as kept, in the same shape `,_jsx(_components.a,{href:`/api-reference/workflows/get`,children:`Get a workflow`}),` answers, with the new version in `,_jsx(_components.code,{children:`version`}),` and the `,_jsx(_components.code,{children:`ETag`}),` header. `,_jsx(_components.code,{children:`lines`}),` are the lines as the canvas reads them, and the next `,_jsx(_components.code,{children:`GET`}),` hands back exactly those. Two more fields appear only when they apply:`]}),`\n`,_jsx(ResponseField,{name:`dropped`,type:`string[]`,id:`param-dropped`,children:`What you sent that was left out or rewritten.`}),`\n`,_jsxs(ResponseField,{name:`turned_off`,type:`boolean`,id:`param-turned-off`,children:[_jsx(_components.code,{children:`true`}),` when this write left it unable to run, so it was turned off.`]}),`\n`,_jsx(Heading,{level:`2`,id:`example`,children:`Example`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`10`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Read it, edit morning-report.jsonl, then write it back over the version you read`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -s`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://www.orgo.ai/api/workflows/morning-report`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$ORGO_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` |`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` jq`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -r`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` .lines`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` >`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` morning-report.jsonl`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`jq`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -Rs`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{lines: .}'`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` morning-report.jsonl`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` |`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` PUT`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://www.orgo.ai/api/workflows/morning-report`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$ORGO_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'If-Match: \"3\"'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"X-Agent: Claude Code\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` @-`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`10`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` os, requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`url `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://www.orgo.ai/api/workflows/morning-report\"`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`os.environ[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'ORGO_API_KEY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`current `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(url, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers).json()`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`lines `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` current[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"lines\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`].replace(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'\"title\":\"9:00 AM\"'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'\"title\":\"8:00 AM\"'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`r `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.put(url, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`**`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"If-Match\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`str`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(current[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"version\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`])}, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"lines\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: lines})`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`if`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` r.status_code `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`==`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 409`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:` print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Changed since you read it. Merge into:\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, r.json()[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"lines\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`])`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`9`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`9`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` url`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://www.orgo.ai/api/workflows/morning-report\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Authorization:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`process`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`env`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`ORGO_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` };`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` current`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`url`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })).`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` r`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`url`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PUT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`...`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"application/json\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"If-Match\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` String`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`current`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`version`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lines:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` current`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`lines`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`replace`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'\"title\":\"9:00 AM\"'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'\"title\":\"8:00 AM\"'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) }),`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`3`,id:`response-2`,children:`Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`10`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"morning-report\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Morning report\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"on\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"version\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`4`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lines\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"{`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`a`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`kind`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`start`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`title`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`8:00 AM`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`sub`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Weekdays`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`name`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Morning report`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`{`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`b`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`after`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:[`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`a`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`],`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`kind`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`agent`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`agent`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`hermes`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`title`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Write the report`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`task`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Write a short report on yesterday’s new customers.`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\n`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`{`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`c`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`after`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:[`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`b`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`],`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`kind`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`app`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`app`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`slack`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`title`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Post`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`where`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`{channel}`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`,`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`message`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`{report}`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"settings\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"to_fix\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Fill in channel\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"problems\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [{ `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"step\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"say\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Fill in channel\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(Heading,{level:`3`,id:`a-version-conflict-409`,children:[`A version conflict (`,_jsx(_components.code,{children:`409`}),`)`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The workflow changed since you read it. Merge your change into these lines and send it again.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"version_conflict\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"version\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lines\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cthe newest lines>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"next\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Read it again (GET /api/workflows/morning-report), make your change on its lines, and PUT them with If-Match: \u003cits version>.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`When the workflow was deleted since you read it, `,_jsx(_components.code,{children:`version`}),` and `,_jsx(_components.code,{children:`lines`}),` are `,_jsx(_components.code,{children:`null`}),`: send it again without `,_jsx(_components.code,{children:`If-Match`}),` to make it again.`]}),`\n`,_jsx(Heading,{level:`2`,id:`errors`,children:`Errors`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Code`}),_jsx(_components.th,{children:`When`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`invalid_body`})}),_jsxs(_components.td,{children:[`A body that is not `,_jsx(_components.code,{children:`{ \"lines\": \"...\" }`}),`, or a `,_jsx(_components.code,{children:`time_zone`}),` that is not an IANA zone.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`invalid_id`})}),_jsxs(_components.td,{children:[`An id that is not lowercase letters, digits and `,_jsx(_components.code,{children:`-`}),`, at most 60.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`401`})}),_jsx(_components.td,{}),_jsx(_components.td,{children:`No key, or a key Orgo doesn’t know.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`key_permission`})}),_jsx(_components.td,{children:`A restricted key without Workflows write, or steps that act on its computer from a key without Control write and AI write.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`(no body)`}),_jsx(_components.td,{children:`Workflows aren’t open to your account.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`409`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`version_conflict`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`If-Match`}),` names an older version. The body carries the newest `,_jsx(_components.code,{children:`version`}),` and `,_jsx(_components.code,{children:`lines`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`409`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`too_many_workflows`})}),_jsx(_components.td,{children:`A new id, and you have 200 workflows already.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`413`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`body_too_large`})}),_jsx(_components.td,{children:`The body is over 128 KB.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`422`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`invalid_lines`})}),_jsxs(_components.td,{children:[`Lines that could not be read, named in `,_jsx(_components.code,{children:`dropped`}),`. Nothing was written.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`429`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`rate_limited`})}),_jsxs(_components.td,{children:[`Too many writes. Carries `,_jsx(_components.code,{children:`Retry-After`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`503`})}),_jsx(_components.td,{}),_jsx(_components.td,{children:`Orgo couldn’t verify the key because of a server-side fault. Retry.`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Replace a workflow’s steps","description":"Write a workflow’s whole lines, only over the version you read. Every open canvas shows the change at once.","openapi":"PUT /workflows/{id}","href":"/api-reference/workflows/replace"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Path parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Headers","slug":"headers","depth":2,"children":[]},{"title":"Request body","slug":"request-body","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Example","slug":"example","depth":2,"children":[{"title":"Response","slug":"response-2","depth":3,"children":[]},{"title":"A version conflict (409)","slug":"a-version-conflict-409","depth":3,"children":[]}]},{"title":"Errors","slug":"errors","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Write a workflow’s steps","description":"Write a workflow’s whole lines, only over the version you read. Every open canvas shows the change at once.","tags":["Workflows"],"parameters":["c9f5a992-c933-4709-aa7f-1993dd769b7d","102287af-3157-4faf-9724-838117aa1933","77dec5d3-8936-49c5-be79-ba0269bda906"],"requestBody":"c6f97196-901a-490a-977e-83cd81b0a990","responses":{"200":"e28ec38e-899f-4e96-b090-0445ac5bacf5","400":"50646266-117d-4013-8d8a-b681e5a55138","401":"b7a04b60-5f93-40ac-bd46-ba3dfbe95dde","403":"5b2cd9d1-51ad-4123-85a4-e41950e9aa20","404":"3b247f06-6095-416b-9cdc-adcbd5bdfb70","409":"40c9dff0-e018-47bd-96c3-4e7d3eb5ad6f","413":"af3f9b75-7712-4dc6-bef8-c309d802bd1f","422":"f2e193eb-6ce5-469f-b0f2-b1a22e08bbb0","429":"6ef072b7-2558-43de-9712-c0dcac2b2b8d","503":"5c72c79c-9cca-4290-b9c7-1522eb73148b"},"method":"put","type":"path","servers":["15e37b84-87fb-4dce-b60e-bcbc01469910"],"security":["456dd273-a30d-4362-bd3c-c72c0edb3b88"],"path":"/workflows/{id}","baseUrlOptions":["https://www.orgo.ai/api"],"title":"Write a workflow’s steps","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"c9f5a992-c933-4709-aa7f-1993dd769b7d":{"name":"id","in":"path","required":true,"schema":{"type":"string","pattern":"^[a-z0-9-]{1,60}$","isRequired":true,"uniqueKey":"","typeLabel":"string"},"example":"morning-report"},"102287af-3157-4faf-9724-838117aa1933":{"name":"If-Match","in":"header","required":false,"schema":{"type":"string","isRequired":false,"description":"The version you read (GET’s version, or its ETag).","uniqueKey":"","typeLabel":"string"},"description":"The version you read (GET’s version, or its ETag)."},"77dec5d3-8936-49c5-be79-ba0269bda906":{"name":"X-Agent","in":"header","required":false,"schema":{"type":"string","maxLength":30,"isRequired":false,"description":"Who you are, as the canvas names you (like Claude Code).","uniqueKey":"","typeLabel":"string"},"description":"Who you are, as the canvas names you (like Claude Code)."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["lines"],"properties":{"lines":{"type":"string","description":"One JSON object per step, the start first (https://www.orgo.ai/workflows.md).","isRequired":true,"uniqueKey":"lines","typeLabel":"string"},"time_zone":{"type":"string","description":"An IANA zone its times are read in, like America/New_York.","uniqueKey":"time_zone","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"lines":"{\"id\":\"a\",\"kind\":\"start\",\"title\":\"9:00 AM\",\"sub\":\"Weekdays\",\"name\":\"Morning report\"}\n{\"id\":\"b\",\"after\":[\"a\"],\"kind\":\"agent\",\"agent\":\"hermes\",\"title\":\"Write the report\",\"task\":\"Write a short report on yesterday’s new customers.\"}\n{\"id\":\"c\",\"after\":[\"b\"],\"kind\":\"app\",\"app\":\"slack\",\"title\":\"Post\",\"where\":\"{channel}\",\"message\":\"{report}\"}"},"examples":{"Example":{"title":"Example","value":{"lines":"{\"id\":\"a\",\"kind\":\"start\",\"title\":\"9:00 AM\",\"sub\":\"Weekdays\",\"name\":\"Morning report\"}\n{\"id\":\"b\",\"after\":[\"a\"],\"kind\":\"agent\",\"agent\":\"hermes\",\"title\":\"Write the report\",\"task\":\"Write a short report on yesterday’s new customers.\"}\n{\"id\":\"c\",\"after\":[\"b\"],\"kind\":\"app\",\"app\":\"slack\",\"title\":\"Post\",\"where\":\"{channel}\",\"message\":\"{report}\"}"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"e28ec38e-899f-4e96-b090-0445ac5bacf5":{"description":"The workflow, as kept.","headers":{"ETag":{"description":"The version, quoted.","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","required":["id","name","on","version","lines","settings","to_fix","problems"],"properties":{"id":{"type":"string","pattern":"^[a-z0-9-]{1,60}$","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"name":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"name","typeLabel":"string | null"},"on":{"type":"boolean","description":"Whether its start runs it. It is on only while it can run.","isRequired":true,"uniqueKey":"on","typeLabel":"boolean"},"version":{"type":"integer","description":"Send it as If-Match on a write.","isRequired":true,"uniqueKey":"version","typeLabel":"integer"},"lines":{"type":"string","description":"The workflow, one JSON object per step, the start first (https://www.orgo.ai/workflows.md).","isRequired":true,"uniqueKey":"lines","typeLabel":"string"},"settings":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"settings.additionalProperties","typeLabel":"string"},"description":"What it asks for once, name to value.","isRequired":true,"uniqueKey":"settings","typeLabel":"object"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"description":"What still has to be done before it can run, in the person’s words. Empty: ready.","isRequired":true,"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","properties":{"step":{"type":"string","description":"The step it is on (empty: the whole workflow).","uniqueKey":"problems.items.[INDEX].step","typeLabel":"string"},"say":{"type":"string","uniqueKey":"problems.items.[INDEX].say","typeLabel":"string"}},"uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"problems","typeLabel":"object[]"},"turned_off":{"type":"boolean","description":"This write left it unable to run, so it was turned off.","uniqueKey":"turned_off","typeLabel":"boolean"},"dropped":{"type":"array","items":{"type":"string","uniqueKey":"dropped.items.[INDEX]","typeLabel":"string"},"description":"What of the lines sent was left out or rewritten.","uniqueKey":"dropped","typeLabel":"string[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"id":"morning-report","name":"Morning report","on":false,"version":3,"lines":"{\"id\":\"a\",\"kind\":\"start\",\"title\":\"9:00 AM\",\"sub\":\"Weekdays\",\"name\":\"Morning report\"}\n{\"id\":\"b\",\"after\":[\"a\"],\"kind\":\"agent\",\"agent\":\"hermes\",\"title\":\"Write the report\",\"task\":\"Write a short report on yesterday’s new customers.\"}\n{\"id\":\"c\",\"after\":[\"b\"],\"kind\":\"app\",\"app\":\"slack\",\"title\":\"Post\",\"where\":\"{channel}\",\"message\":\"{report}\"}","settings":{},"to_fix":["Fill in channel"],"problems":[{"step":"a","say":"Fill in channel"}]},"examples":{"Example":{"title":"Example","value":{"id":"morning-report","name":"Morning report","on":false,"version":3,"lines":"{\"id\":\"a\",\"kind\":\"start\",\"title\":\"9:00 AM\",\"sub\":\"Weekdays\",\"name\":\"Morning report\"}\n{\"id\":\"b\",\"after\":[\"a\"],\"kind\":\"agent\",\"agent\":\"hermes\",\"title\":\"Write the report\",\"task\":\"Write a short report on yesterday’s new customers.\"}\n{\"id\":\"c\",\"after\":[\"b\"],\"kind\":\"app\",\"app\":\"slack\",\"title\":\"Post\",\"where\":\"{channel}\",\"message\":\"{report}\"}","settings":{},"to_fix":["Fill in channel"],"problems":[{"step":"a","say":"Fill in channel"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"50646266-117d-4013-8d8a-b681e5a55138":{"description":"A body that is not the shape asked for (invalid_body).","content":{"application/json":{"schema":{"type":"object","required":["error","code"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"say":{"type":"string","description":"The same, short, for a person.","uniqueKey":"say","typeLabel":"string"},"next":{"type":"string","description":"The call that fixes it.","uniqueKey":"next","typeLabel":"string"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"problems","typeLabel":"object[]"},"version":{"oneOf":[{"type":"integer","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"lines":{"oneOf":[{"type":"string","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.0","typeLabel":"string"},{"type":"null","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.1","typeLabel":"null"}],"uniqueKey":"lines","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"\u003cstring>","say":"\u003cstring>","next":"\u003cstring>","to_fix":["\u003cstring>"],"problems":[{}],"version":123,"lines":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b7a04b60-5f93-40ac-bd46-ba3dfbe95dde":{"description":"Unauthenticated (with WWW-Authenticate and docs).","content":{"application/json":{"schema":{"type":"object","required":["error","code"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"say":{"type":"string","description":"The same, short, for a person.","uniqueKey":"say","typeLabel":"string"},"next":{"type":"string","description":"The call that fixes it.","uniqueKey":"next","typeLabel":"string"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"problems","typeLabel":"object[]"},"version":{"oneOf":[{"type":"integer","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"lines":{"oneOf":[{"type":"string","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.0","typeLabel":"string"},{"type":"null","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.1","typeLabel":"null"}],"uniqueKey":"lines","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"\u003cstring>","say":"\u003cstring>","next":"\u003cstring>","to_fix":["\u003cstring>"],"problems":[{}],"version":123,"lines":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"5b2cd9d1-51ad-4123-85a4-e41950e9aa20":{"description":"A key without Workflows access at this level (key_permission); a key that may not act on the workflow’s computer (key_permission: Control write and AI write, or computer_key_held).","content":{"application/json":{"schema":{"type":"object","required":["error","code"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"say":{"type":"string","description":"The same, short, for a person.","uniqueKey":"say","typeLabel":"string"},"next":{"type":"string","description":"The call that fixes it.","uniqueKey":"next","typeLabel":"string"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"problems","typeLabel":"object[]"},"version":{"oneOf":[{"type":"integer","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"lines":{"oneOf":[{"type":"string","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.0","typeLabel":"string"},{"type":"null","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.1","typeLabel":"null"}],"uniqueKey":"lines","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"\u003cstring>","say":"\u003cstring>","next":"\u003cstring>","to_fix":["\u003cstring>"],"problems":[{}],"version":123,"lines":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"3b247f06-6095-416b-9cdc-adcbd5bdfb70":{"description":"No workflow (or run) by that id (not_found); a bare 404 with no body where Workflows are not open to the account.","content":{"application/json":{"schema":{"type":"object","required":["error","code"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"say":{"type":"string","description":"The same, short, for a person.","uniqueKey":"say","typeLabel":"string"},"next":{"type":"string","description":"The call that fixes it.","uniqueKey":"next","typeLabel":"string"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"problems","typeLabel":"object[]"},"version":{"oneOf":[{"type":"integer","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"lines":{"oneOf":[{"type":"string","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.0","typeLabel":"string"},{"type":"null","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.1","typeLabel":"null"}],"uniqueKey":"lines","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"\u003cstring>","say":"\u003cstring>","next":"\u003cstring>","to_fix":["\u003cstring>"],"problems":[{}],"version":123,"lines":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"40c9dff0-e018-47bd-96c3-4e7d3eb5ad6f":{"description":"If-Match names an older version (version_conflict): the body carries the newest version and lines. Merge your change into them and send it again.","content":{"application/json":{"schema":{"type":"object","required":["error","code"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"say":{"type":"string","description":"The same, short, for a person.","uniqueKey":"say","typeLabel":"string"},"next":{"type":"string","description":"The call that fixes it.","uniqueKey":"next","typeLabel":"string"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"problems","typeLabel":"object[]"},"version":{"oneOf":[{"type":"integer","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"lines":{"oneOf":[{"type":"string","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.0","typeLabel":"string"},{"type":"null","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.1","typeLabel":"null"}],"uniqueKey":"lines","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"\u003cstring>","say":"\u003cstring>","next":"\u003cstring>","to_fix":["\u003cstring>"],"problems":[{}],"version":123,"lines":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"af3f9b75-7712-4dc6-bef8-c309d802bd1f":{"description":"The body is too large (body_too_large): at most 64 KB, 128 KB for a PUT, 32 KB for an answer.","content":{"application/json":{"schema":{"type":"object","required":["error","code"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"say":{"type":"string","description":"The same, short, for a person.","uniqueKey":"say","typeLabel":"string"},"next":{"type":"string","description":"The call that fixes it.","uniqueKey":"next","typeLabel":"string"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"problems","typeLabel":"object[]"},"version":{"oneOf":[{"type":"integer","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"lines":{"oneOf":[{"type":"string","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.0","typeLabel":"string"},{"type":"null","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.1","typeLabel":"null"}],"uniqueKey":"lines","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"\u003cstring>","say":"\u003cstring>","next":"\u003cstring>","to_fix":["\u003cstring>"],"problems":[{}],"version":123,"lines":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"f2e193eb-6ce5-469f-b0f2-b1a22e08bbb0":{"description":"Lines that could not be read (invalid_lines, with dropped). Nothing was written.","content":{"application/json":{"schema":{"type":"object","required":["error","code"],"properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"say":{"type":"string","description":"The same, short, for a person.","uniqueKey":"say","typeLabel":"string"},"next":{"type":"string","description":"The call that fixes it.","uniqueKey":"next","typeLabel":"string"},"to_fix":{"type":"array","items":{"type":"string","uniqueKey":"to_fix.items.[INDEX]","typeLabel":"string"},"uniqueKey":"to_fix","typeLabel":"string[]"},"problems":{"type":"array","items":{"type":"object","uniqueKey":"problems.items.[INDEX]","typeLabel":"object"},"uniqueKey":"problems","typeLabel":"object[]"},"version":{"oneOf":[{"type":"integer","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.0","typeLabel":"integer"},{"type":"null","description":"version_conflict: the newest version.","uniqueKey":"version.oneOf.1","typeLabel":"null"}],"uniqueKey":"version","typeLabel":"integer | null"},"lines":{"oneOf":[{"type":"string","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.0","typeLabel":"string"},{"type":"null","description":"version_conflict: the newest lines, to merge into.","uniqueKey":"lines.oneOf.1","typeLabel":"null"}],"uniqueKey":"lines","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"\u003cstring>","say":"\u003cstring>","next":"\u003cstring>","to_fix":["\u003cstring>"],"problems":[{}],"version":123,"lines":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"6ef072b7-2558-43de-9712-c0dcac2b2b8d":{"description":"Over one of the account's plan rate limits (`rate_limited`): `limit` names it, and `retry_after` and `Retry-After` say how many seconds to wait. Limits are per account, the workspace owner's when the request acts on a computer or a workspace, and set by its plan. See [Account limits and rate limits](/guides/account-limits#plan-rate-limits).","headers":{"Retry-After":{"description":"Seconds to wait before asking again.","schema":{"type":"integer","minimum":1}},"RateLimit-Limit":{"description":"The tightest limit this request counts against.","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"How many are left of it in this window.","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"Seconds until its window starts again.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","required":["error","code","limit","retry_after"],"properties":{"error":{"type":"string","description":"Which limit, in plain words, and when to try again.","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","const":"rate_limited","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"limit":{"type":"string","enum":["computer_create_per_minute","computer_create_per_hour","computer_create_per_day","computer_lifecycle_per_minute","computer_lifecycle_per_computer_per_minute","computer_control_per_minute","computer_control_per_computer_per_minute","chat_runs_per_minute","chat_runs_concurrent","workspace_create_per_hour","api_other_per_minute"],"isRequired":true,"uniqueKey":"limit","typeLabel":"enum\u003cstring>"},"retry_after":{"type":"integer","minimum":1,"description":"Seconds to wait.","isRequired":true,"uniqueKey":"retry_after","typeLabel":"integer"}},"example":{"error":"Too many API requests this minute (120 a minute on your plan). Try again in 12 seconds.","code":"rate_limited","limit":"api_other_per_minute","retry_after":12},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"Too many API requests this minute (120 a minute on your plan). Try again in 12 seconds.","code":"rate_limited","limit":"api_other_per_minute","retry_after":12}}},"exampleType":"generated"}},"exampleType":"generated"},"5c72c79c-9cca-4290-b9c7-1522eb73148b":{"description":"Orgo could not verify the credential because of a server-side fault, such as a database outage. Retry after `Retry-After`. Do not rotate the key.","content":{"application/json":{"schema":{"type":"object","description":"The base error body. Every failure carries `error`; individual endpoints add the fields named in the schemas below.","required":["error"],"properties":{"error":{"type":"string","description":"Human-readable message.","example":"Access denied","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Machine-readable reason. Present on the failures that define one, absent otherwise.","uniqueKey":"code","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Service temporarily unavailable. The database is not accepting requests. Retry shortly."},"examples":{"Example":{"title":"Example","value":{"error":"Service temporarily unavailable. The database is not accepting requests. Retry shortly."}}},"exampleType":"examples"}},"headers":{"Retry-After":{"description":"Seconds to wait before retrying. Always `5`.","schema":{"type":"string","example":"5"}}},"exampleType":"examples"}},"security":{"456dd273-a30d-4362-bd3c-c72c0edb3b88":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key authentication. Get your key at orgo.ai/workspaces","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"15e37b84-87fb-4dce-b60e-bcbc01469910":{"url":"https://www.orgo.ai/api","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"API key authentication. Get your key at orgo.ai/workspaces","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API key authentication. Get your key at orgo.ai/workspaces","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"orgo","siteName":"Orgo","title":"Orgo - Cloud computers for AI agents","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-06T09:19:05.193Z","originalFileLocation":"api-reference/workflows/replace.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Write a workflow’s whole lines, only over the version you read. Every open canvas shows the change at once.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Orgo\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/orgo/Q5PgTYL7leY4YWwy/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Orgo - Cloud computers for AI agents\">\u003cmeta data-mint-head property=\"og:description\" content=\"Launch cloud computers that AI agents can control and interact with. Drive them with any model provider, install agents inside them, or run developer CLIs on them 24/7.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Orgo Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.orgo.ai/api-reference/workflows/replace\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/orgo/images/hero-dark.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u00
[...]
